=== debian/changelog ===
rtimulib (7.2.1-6+bookworm) bookworm; urgency=medium

  * Bookworm rebuild

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 07 Feb 2023 12:43:33 +0000

rtimulib (7.2.1-6) bullseye; urgency=medium

  * Bullseye update

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 19 Apr 2021 19:00:55 +0100

rtimulib (7.2.1-5) buster; urgency=medium

  * Buster rebuild
  * Address lintian issues

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 07 May 2019 11:47:02 +0100

rtimulib (7.2.1-4) stretch; urgency=medium

  * Stretch rebuild

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 04 Jul 2017 15:40:19 +0100

rtimulib (7.2.1-3) jessie; urgency=low

  * Remove pre-calibrated config for inclusion in the sensehat package

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 19 Aug 2015 15:32:45 +0100

rtimulib (7.2.1-2) jessie; urgency=low

  * Add pre-calibrated config for Sense HAT
  * Enable RTIMULibDrive11 example

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 18 Aug 2015 17:14:43 +0100

rtimulib (7.2.1-1) jessie; urgency=low

  * Initial release

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 15 Jun 2015 15:35:30 +0100
