=== debian/control ===
Source: rtimulib
Section: libs
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper (>= 10), dh-python, python3-dev,
 python3, cmake
Standards-Version: 4.3.0
Homepage: https://github.com/richards-tech/RTIMULib
Vcs-Git: https://github.com/RPi-Distro/RTIMULib.git -b debian
Vcs-Browser: https://github.com/RPi-Distro/RTIMULib/tree/debian

Package: librtimulib7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Versatile C++ and Python 9-dof, 10-dof and 11-dof IMU library (shared library)
 The simplest way to connect a 9-dof, 10-dof or 11-dof IMU to an embedded Linux
 system and obtain Kalman-filtered quaternion or Euler angle pose data.
 Basically, two simple function calls (IMUInit() and IMURead()) are pretty much
 all that's needed to integrate RTIMULib.
 .
 This package provides shared library.

Package: librtimulib-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librtimulib7 (= ${binary:Version})
Description: Versatile C++ and Python 9-dof, 10-dof and 11-dof IMU library (dev files)
 The simplest way to connect a 9-dof, 10-dof or 11-dof IMU to an embedded Linux
 system and obtain Kalman-filtered quaternion or Euler angle pose data.
 Basically, two simple function calls (IMUInit() and IMURead()) are pretty much
 all that's needed to integrate RTIMULib.
 .
 This package provides the development files.

Package: librtimulib-utils
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librtimulib7 (= ${binary:Version})
Suggests: octave
Description: Versatile C++ and Python 9-dof, 10-dof and 11-dof IMU library (utilities)
 The simplest way to connect a 9-dof, 10-dof or 11-dof IMU to an embedded Linux
 system and obtain Kalman-filtered quaternion or Euler angle pose data.
 Basically, two simple function calls (IMUInit() and IMURead()) are pretty much
 all that's needed to integrate RTIMULib.
 .
 This package provides the calibration utility.

Package: python3-rtimulib
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 librtimulib7 (= ${binary:Version})
Recommends: librtimulib-utils
Description: Versatile C++ and Python 9-dof, 10-dof and 11-dof IMU library (Python 3)
 The simplest way to connect a 9-dof, 10-dof or 11-dof IMU to an embedded Linux
 system and obtain Kalman-filtered quaternion or Euler angle pose data.
 Basically, two simple function calls (IMUInit() and IMURead()) are pretty much
 all that's needed to integrate RTIMULib.
 .
 This package provides the Python 3 module.
